:root{
    --back_gradient1: linear-gradient(124deg, rgba(216,63,135,1) 0%, rgba(68,49,141,1) 49%, rgba(233,128,116,1) 83%);
    --back_gradient2:linear-gradient(90deg, rgba(42,27,61,0.9220063025210083) 16%, rgba(233,128,116,1) 54%, rgba(164,179,182,0.9192051820728291) 86%);
    --pink:#D83F87;
    --black:#2A1B3D;
    --blue:#44318D;
    --l-blue:#E98074;
    --l-gray:#A4B3B6;
}

*{
    margin: 0;
    padding: 0;
    font-family: 'Open Sans', sans-serif;
}

.main{
    position: relative;
    width: 100%;
    background: url(/images/23068350_2112.w026.n002.1274B.p1.1274.jpg), var(--back_gradient1);
    box-sizing: border-box;
    background-size: cover;
    height: 100vh;
    background-repeat: no-repeat;
    background-attachment: fixed;
    overflow-y: auto;
}

.navbar{
    width: 100%;
    /* border: 2px solid orange; */
    box-sizing: border-box;
    display: grid;
    grid-template-columns: repeat(6,1fr);
    grid-template-rows: 2fr 1.2fr;
    justify-items: center;
    align-items: center;
}

.icon{
    float: left;
    margin-top: 2%;
    padding-left: 6%;
    padding-right: 6%;
    
    display: flex;
    align-items: center;
    justify-content: center;
    
    grid-column: 1/2;
    grid-row: 1/2;
    
    border: 1px solid var(--black);
    border-radius: 30% 70% 70% 30% / 30% 30% 70% 70% ;
    box-shadow: var(--black) 0px 30px 60px -12px inset, var(--l-blue) 0px 18px 36px -18px inset;
    animation: water_wave 6s linear infinite;



}

.logo h2{
    color: var(--l-gray);
    font-size: 1.2rem;
    font-weight: 600;

}

.logo h2 span{
    color: var(--l-blue);
    font-size: 1.5rem;
    font-weight: 800;
    
}

.logo{
    float: left;
    padding: 10%;
    
}

.menu{
    width: 90%;
    grid-column: 3/7;
    grid-row: 1/2;
    position: relative;

}

ul{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 10%;
}

ul li{
    list-style: none;
    font-size: 1.25rem;
}

.A{
    width: 5rem;
  
}

.menu ul li a{
    text-decoration: none;
    text-transform: capitalize;
    font-size: 1.25rem;
    font-weight: 700;
    color: var(--l-gray);
    padding: 5%;
    transition: all 0.5s cubic-bezier(0.2, 0.05, 0.795, 0.035);


}

a:hover{
    color: var(--blue);
    border: 1px solid var(--pink);
    border-radius: 30% 70% 70% 30% / 30% 30% 70% 70% ;
    box-shadow: var(--l-gray) 0px 30px 60px -12px inset, var(--l-blue) 0px 18px 36px -18px inset;
    animation: water_wave 3s linear infinite;

}

.search{
    grid-column: 5/7;
    grid-row: 2/-1;
    width: 80%;
    justify-self: end;
    margin-top: 1rem;
}

.srch{
    width: 60%;
    height: 26%;
    background: transparent;
    border: 2px solid var(--l-blue);
    color: white;
    border-right: none;
    font-size: 1rem;
    padding: 1.5%;
    border-bottom-left-radius: 10%;
    border-top-left-radius: 10%;
    
    
}

.btn{
    width: 18%;
    height: 2.4rem;
    background: var(--l-blue);
    border: none;
    font-size: 1rem;
    border-bottom-right-radius: 10%;
    border-top-right-radius: 10%;
    margin-left: -0.3rem;
}

.srch :focus{
    border: none;
}

.search:hover{
    color: #D83F87;
}

.content{
    width: 50%;
    /* border: 2px solid black; */
    display: flex;
    flex-direction: column;
    row-gap: 1rem;
    margin-left: 2rem;
    margin-top: 2rem;
}

.content h1{
    color: var(--l-gray);
    font-weight: 900;
    font-size: 2.5rem;
    font-family: 'Times New Roman', Times, serif;
}

.content h1 span{
    color: black;
    margin-left: 7rem;
    font-size: 2.8rem;
    font-family: 'Times New Roman', Times, serif;
}

.content h1 span span{
    margin-left: 0;
    color: white;
}

.para{
    color: white;
    margin-left: 1.5rem;
    letter-spacing: 0.8px;
    line-height: 1.4rem;
}

.cn{
    width: 8rem;
    padding: 0.6rem;
    background: var(--back_gradient2);
    border: none;
    position: relative;
    left: 30%;
    border-radius: 2px; ;
    
    transition: all 0.4s ease-in-out;    
}

.cn a{
    text-decoration: none;
    color: white;
    font-size: 1rem;
}

.cn a span{
    font-size: 1.1rem;
    color: black;
    font-weight: 700;
}

.cn a:hover{
    border: none;
    border-radius: none ;
    box-shadow: none;
}

.cn:hover{
    border-radius: 8px;
    background: var(--back_gradient1);
    color: black;
    border: 1px solid var(--pink);
    cursor: pointer;
}
.cn:hover>a{
    color: black;
}
.cn:hover>a span{
    color: white;
}

/* ======================= */
/* Form starts here  */
/* ======================= */

.form{
    border: 2px solid var(--blue);
    border-radius: 5px;
    position: absolute;
    width: 23%;
    /* height: 60%; */
    top: 11rem;
    left: 75%;

    background: linear-gradient(90deg, rgba(164,179,182,0.4738270308123249) 0%, rgba(42,27,61,0.4906337535014006) 50%, rgba(236,159,150,0.6671043417366946) 100%);
    display: grid;
    grid-template-columns: repeat(4,1fr);
    grid-template-rows: repeat(4,2rem) -1px 1.3fr 1fr;
    /* grid-template-rows: 10px; */
    row-gap: 0.5rem;
    justify-items: center;



}

.login-here{
    grid-column: 1/5;
    grid-row: 1/2;
    width: 60%;
    border: 1px solid black;
    padding-bottom:2px;
    border-radius: 10px;
    margin-top: 0.8rem;
    margin-bottom: 0.4rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background: radial-gradient(circle, rgba(238,174,202,1) 0%, rgba(148,187,233,0.5) 100%);
    color: black;
}
.type{
    width: 70%;
    background: transparent;
    color: black;
    border-bottom: 2px solid var(--l-blue);
    border-left: 2px solid var(--l-blue);
    border-bottom-left-radius: 5px;
    border-top: none;
    border-right: none;
    margin-bottom: 0.5rem;
    margin-top: 0.5rem;
    padding: 5px;
    font-size: 0.8rem;
    font-weight: 600;

}

.email{
    grid-column: 1/5;
    grid: 2/3;
}
.pass{
    grid-column: 1/5;
    grid-row: 3/4;
}
.login-btn{
    grid-column: 1/5;
    grid-row: 4/5;
    display: flex;
    align-items: center;
    justify-content:center ;
    width: 30%;
    padding: 3px 15px;
    border: 2px solid var(--pink);
    border-radius: 5px;
    margin-top: 0.6rem;


}

.login-btn:hover{
    background: var(--back_gradient2);
    color: white;
    border-color: var(--l-blue);
}
.login-btn:hover>a{
    color: white;
}
.login-btn a{
    text-decoration: none;
    font-size: 1rem;
    font-weight: 700;
}
.login-btn a:hover{
    
    border: none;
    box-shadow: none;
    animation: none;
}
.sign-up-here{
    grid-column: 1/5;
    grid-row: 5/6;
    /* padding-bottom: 0.8rem; */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;


}
.sign-up-here h3{
    margin-top: 0.8rem;
    font-size: 0.8rem;
    font-weight: 200;
}
.sign-up-here a{
    font-size: 0.8rem;
    /* text-decoration: none; */
}
.sign-up-here a:hover{
    border: none;
    box-shadow: none;
    animation: none;
    color: #D83F87;
}
.sign-up h2 span{
    /* text-decoration: none; */
    font-size: 0.8rem;
    color: white;

}

.or-login-with{
    grid-column: 1/5;
    grid-row: 6/7;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: 0.8rem;
    /* font-weight: ; */
    color: white
}
.login-with{
    font-size:0.8rem ;
    color: var(--black);
}

.login-icon{
    grid-column: 1/5;
    grid-row: 7/8;
    border-image-width: 50px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    /* gap: 0px 5rem; */
}
.login-icon a{
    color: black;
}
.log-icon{
    width: 50px;
    height: 2rem;
    border: none;
    box-shadow: none;
    animation: none;
}
.log-icon:hover{
    color: var(--l-blue);
}

::placeholder{
    color: black;
}

.about-me::before{
    content: "";
    height: 2px;
    width: 100%;
    background-color: var(--pink);
    position: absolute;
    top: -2rem;
    left: 0px;
}

.about-me{
    /* border: 2px solid black; */
    position: relative;
    top: 10rem;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.about-me h2{
    color: white;
}

.about-me ul li {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 20px;
    margin-bottom: 1rem;
    margin-left: 1rem;
}















@keyframes water_wave{
    0%{
        border-radius:  48% 52% 70% 30% / 39% 65% 35% 61%  ;
    }

    33.33%{
        border-radius: 66% 34% 76% 24% / 38% 56% 44% 62% ;
    }

    66.66%{
        border-radius: 65% 35% 40% 60% / 65% 41% 59% 35%   ;
    }

    100%{
        border-radius: 48% 52% 70% 30% / 39% 65% 35% 61%  ;
    }
    
}
